<div fxLayout="column" class="main">
  <!--Displaying the month of the menu-->
  <h3 [ngClass]="{'otherMonth': date.getMonth() !== viewMonth.getMonth()}">{{ date.getDate() }}</h3>

  <!--The two action buttons of cancel and submit-->
  <div fxLayout="row" class="positioningButtons" *ngIf="isNotFinal()">
    <md-spinner [ngClass]="{hideSpinner : !spinnerisActive }" color="warn" class="small-md-spinner working-spinner"></md-spinner>
    <button md-mini-fab class="button-cancel" color="primary" (click)="cancel()" [disabled]="!buttonsActive">
      <md-icon>
       <span mdTooltip="Cancel Changes" mdTooltipPosition="above"> clear </span>
      </md-icon>
    </button>
    <button md-mini-fab color="primary" class="button-save" (click)="saveUpdates()" [disabled]="!buttonsActive">
    <md-icon>
      <span mdTooltip="Save Changes" mdTooltipPosition="above"> done </span>
    </md-icon>
  </button> <br /> <br />
  </div>

  <!--The auto complete input of the available foods -->
  <!--<app-active-foods-auto-complete
  [dropdownFoods]="dropdownFoods"
  (foodItem)="onChange($event)">
  </app-active-foods-auto-complete>-->


  <!--The drodown menu of the available foods-->
  <div fxFlex="100%" *ngIf="isNotFinal()" style="margin-top: 10px;">
    <md-select placeholder="Add a new food" name="food" [(ngModel)]="selectedValue" (ngModelChange)="onChange($event)" class="selectPanel">
      <md-option *ngFor="let food of dropdownFoods" [value]="food" title="{{food.description}}">
        <i [class]="customIcons.getCustomIcon(food.type)"></i> {{food.name}}
      </md-option>
    </md-select>
  </div>

  <!--the available daily menu -->
  <div *ngIf="dailyMenuChef">
    <div class="foodsList">
      <div *ngFor="let food of foods">
        <div fxLayout="row">

          <div fxFlex="100%" class="food" [class.foodArchived]="food.archived">
            <button color="primary" *ngIf="isNotFinal()" [disabled]="!canBeRemoved(food)" md-mini-fab color="primary" class="button-discard"
              (click)="removeListItem(food)">
                <md-icon class="md-discard">clear</md-icon>
              </button>
            <i [class]="customIcons.getCustomIcon(food.type)"></i>
            <span mdTooltip="{{food.description}}" mdTooltipPosition="above" class="menuItem">{{food.name}}</span>
            <span class="archived" mdToolTip="Archived Food" mdTooltipPosition="above"><i *ngIf="food.archived" title="Archived Food" class="material-icons">info_outline</i></span>

          </div>

        </div>
      </div>
    </div>

  </div>
</div>
